Summary: Oak Ridge PVM system
Name: pvm
%define version 3.3.11
Version: %{version}
Release: 10
Copyright: GPL
Group: Beowulf
Vendor: Beowulf Consortium
Packager: Dan Ridge <newt@beowulf.org>
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/distrib/pvm-3.3.11.tgz
Source1: XPVM.src.1.2.4.tar.Z
Source2: XPVM.ug.ps.Z
Patch: pvm-3.3.11-pvmgetarch.patch
Patch1: pvm-3.3.11-pvmscripts.patch
Patch2: pvm-3.3.11-pathwhack.patch
Patch3: pvm-3.3.11-errata.patch
Patch4: xpvm-ver33compat.patch
Patch5: pvm-3.3.11-ppc.patch
Patch6: pvm-3.3.11-sparc.patch
Patch7: pvm-3.3.11-mips.patch
BuildRoot: /tmp/pvm-root
%description
PVM provides a message-passing library and runtime configurable
parallel environment on a variety of multiprocessing platforms.

%ifnarch sparc
%ifnarch mips
%package xpvm
Summary: X interface to PVM system
Group: Beowulf
Requires: pvm

%description xpvm
This packages provides a nifty X interface to the PVM system.
%endif
%endif

%package examples
Summary: PVM example binaries
Group: Beowulf
Requires: pvm

%description examples
This package provides a set of PVM example binaries and source.
Includes a Mandelbrot set browser.

%prep
%setup -n pvm3 -a 1
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
export PVM_ROOT=$RPM_BUILD_DIR/pvm3
export XPVM_ROOT=$RPM_BUILD_DIR/pvm3/xpvm
make
#make e 
make m
%ifnarch mips
%ifnarch sparc
cd xpvm
make
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

PVM_BUILT_ARCH=`lib/pvmgetarch`

for I in usr/include usr/lib usr/man usr/bin usr/pvm3/lib/$PVM_BUILT_ARCH ; do
	mkdir -p $RPM_BUILD_ROOT/$I
done


cp -a include/* $RPM_BUILD_ROOT/usr/include/
cp -a lib/$PVM_BUILT_ARCH/*.a $RPM_BUILD_ROOT/usr/lib/
cp -a man/man1 $RPM_BUILD_ROOT/usr/man
cp -a man/man3 $RPM_BUILD_ROOT/usr/man
cp -a examples $RPM_BUILD_ROOT/usr/pvm3
%ifnarch mips
%ifnarch sparc
cp -a xpvm $RPM_BUILD_ROOT/usr/pvm3
%endif
%endif
cp -a lib/pvm $RPM_BUILD_ROOT/usr/pvm3/lib
cp -a lib/pvmd $RPM_BUILD_ROOT/usr/pvm3/lib	
cp -a lib/pvmgetarch $RPM_BUILD_ROOT/usr/pvm3/lib
cp -a lib/aimk $RPM_BUILD_ROOT/usr/pvm3/lib
cp -a lib/$PVM_BUILT_ARCH/pvm $RPM_BUILD_ROOT/usr/pvm3/lib/$PVM_BUILT_ARCH
cp -a lib/$PVM_BUILT_ARCH/pvmd3 $RPM_BUILD_ROOT/usr/pvm3/lib/$PVM_BUILT_ARCH
cp -a lib/$PVM_BUILT_ARCH/pvmgs $RPM_BUILD_ROOT/usr/bin
cp -a bin/$PVM_BUILT_ARCH/mtile $RPM_BUILD_ROOT/usr/bin
%ifnarch mips
%ifnarch sparc
cp -a bin/$PVM_BUILT_ARCH/xpvm $RPM_BUILD_ROOT/usr/bin
%endif
%endif
ln -s /usr/pvm3/lib/pvm $RPM_BUILD_ROOT/usr/bin/pvm
ln -s /usr/pvm3/lib/pvmd $RPM_BUILD_ROOT/usr/bin/pvmd

%files
%doc doc/arches doc/bugreport doc/example.pvmrc doc/release-notes
%dir /usr/pvm3
/usr/pvm3/lib/pvm
/usr/pvm3/lib/pvmd
/usr/pvm3/lib/pvmgetarch
/usr/pvm3/lib/aimk
%ifarch i386
/usr/pvm3/lib/LINUX/pvm
/usr/pvm3/lib/LINUX/pvmd3
%endif
%ifarch mips
/usr/pvm3/lib/LINUXMIPS/pvm
/usr/pvm3/lib/LINUXMIPS/pvmd3
%endif
%ifarch sparc
/usr/pvm3/lib/LINUXSPARC/pvm
/usr/pvm3/lib/LINUXSPARC/pvmd3
%endif
%ifarch ppc
/usr/pvm3/lib/LINUXPPC/pvm
/usr/pvm3/lib/LINUXPPC/pvmd3
%endif
/usr/include/fpvm3.h
/usr/include/pvm3.h
/usr/include/pvmsdpro.h
/usr/include/pvmtev.h
/usr/lib/libfpvm3.a
/usr/lib/libgpvm3.a
/usr/lib/libpvm3.a
/usr/bin/pvm
/usr/bin/pvmd
/usr/bin/pvmgs
/usr/man/man1/aimk.1
/usr/man/man1/pvm.1
/usr/man/man1/pvm_intro.1
/usr/man/man1/pvmd.1
/usr/man/man1/pvmd3.1
/usr/man/man3/libfpvm.3
/usr/man/man3/libpvm.3
/usr/man/man3/pvm_addhosts.3
/usr/man/man3/pvm_advise.3
/usr/man/man3/pvm_archcode.3
/usr/man/man3/pvm_barrier.3
/usr/man/man3/pvm_bcast.3
/usr/man/man3/pvm_bufinfo.3
/usr/man/man3/pvm_catchout.3
/usr/man/man3/pvm_config.3
/usr/man/man3/pvm_delete.3
/usr/man/man3/pvm_delhosts.3
/usr/man/man3/pvm_exit.3
/usr/man/man3/pvm_export.3
/usr/man/man3/pvm_freebuf.3
/usr/man/man3/pvm_freezegroup.3
/usr/man/man3/pvm_gather.3
/usr/man/man3/pvm_getfds.3
/usr/man/man3/pvm_getinst.3
/usr/man/man3/pvm_getmwid.3
/usr/man/man3/pvm_getopt.3
/usr/man/man3/pvm_getrbuf.3
/usr/man/man3/pvm_getsbuf.3
/usr/man/man3/pvm_gettid.3
/usr/man/man3/pvm_gettmask.3
/usr/man/man3/pvm_gsize.3
/usr/man/man3/pvm_halt.3
/usr/man/man3/pvm_hostsync.3
/usr/man/man3/pvm_initsend.3
/usr/man/man3/pvm_insert.3
/usr/man/man3/pvm_joingroup.3
/usr/man/man3/pvm_kill.3
/usr/man/man3/pvm_lookup.3
/usr/man/man3/pvm_lvgroup.3
/usr/man/man3/pvm_mcast.3
/usr/man/man3/pvm_mkbuf.3
/usr/man/man3/pvm_mstat.3
/usr/man/man3/pvm_mytid.3
/usr/man/man3/pvm_notify.3
/usr/man/man3/pvm_nrecv.3
/usr/man/man3/pvm_pack.3
/usr/man/man3/pvm_packf.3
/usr/man/man3/pvm_parent.3
/usr/man/man3/pvm_perror.3
/usr/man/man3/pvm_pkbyte.3
/usr/man/man3/pvm_pkcplx.3
/usr/man/man3/pvm_pkdcplx.3
/usr/man/man3/pvm_pkdouble.3
/usr/man/man3/pvm_pkfloat.3
/usr/man/man3/pvm_pkint.3
/usr/man/man3/pvm_pklong.3
/usr/man/man3/pvm_pkshort.3
/usr/man/man3/pvm_pkstr.3
/usr/man/man3/pvm_pkuint.3
/usr/man/man3/pvm_pkulong.3
/usr/man/man3/pvm_pkushort.3
/usr/man/man3/pvm_precv.3
/usr/man/man3/pvm_probe.3
/usr/man/man3/pvm_psend.3
/usr/man/man3/pvm_pstat.3
/usr/man/man3/pvm_recv.3
/usr/man/man3/pvm_recvf.3
/usr/man/man3/pvm_reduce.3
/usr/man/man3/pvm_reg_hoster.3
/usr/man/man3/pvm_reg_rm.3
/usr/man/man3/pvm_reg_tasker.3
/usr/man/man3/pvm_scatter.3
/usr/man/man3/pvm_send.3
/usr/man/man3/pvm_sendsig.3
/usr/man/man3/pvm_serror.3
/usr/man/man3/pvm_setmwid.3
/usr/man/man3/pvm_setopt.3
/usr/man/man3/pvm_setrbuf.3
/usr/man/man3/pvm_setsbuf.3
/usr/man/man3/pvm_settmask.3
/usr/man/man3/pvm_spawn.3
/usr/man/man3/pvm_start_pvmd.3
/usr/man/man3/pvm_tasks.3
/usr/man/man3/pvm_tidtohost.3
/usr/man/man3/pvm_trecv.3
/usr/man/man3/pvm_unexport.3
/usr/man/man3/pvm_unpack.3
/usr/man/man3/pvm_unpackf.3
/usr/man/man3/pvm_upkbyte.3
/usr/man/man3/pvm_upkcplx.3
/usr/man/man3/pvm_upkdcplx.3
/usr/man/man3/pvm_upkdouble.3
/usr/man/man3/pvm_upkfloat.3
/usr/man/man3/pvm_upkint.3
/usr/man/man3/pvm_upklong.3
/usr/man/man3/pvm_upkshort.3
/usr/man/man3/pvm_upkstr.3
/usr/man/man3/pvm_upkuint.3
/usr/man/man3/pvm_upkulong.3
/usr/man/man3/pvm_upkushort.3
/usr/man/man3/pvmfaddhost.3
/usr/man/man3/pvmfadvise.3
/usr/man/man3/pvmfarchcode.3
/usr/man/man3/pvmfbarrier.3
/usr/man/man3/pvmfbcast.3
/usr/man/man3/pvmfbufinfo.3
/usr/man/man3/pvmfcatchout.3
/usr/man/man3/pvmfconfig.3
/usr/man/man3/pvmfdelhost.3
/usr/man/man3/pvmfexit.3
/usr/man/man3/pvmffreebuf.3
/usr/man/man3/pvmffrzgrp.3
/usr/man/man3/pvmfgather.3
/usr/man/man3/pvmfgetinst.3
/usr/man/man3/pvmfgetopt.3
/usr/man/man3/pvmfgetrbuf.3
/usr/man/man3/pvmfgetsbuf.3
/usr/man/man3/pvmfgettid.3
/usr/man/man3/pvmfgsize.3
/usr/man/man3/pvmfhalt.3
/usr/man/man3/pvmfhostsync.3
/usr/man/man3/pvmfinitsend.3
/usr/man/man3/pvmfjoingrp.3
/usr/man/man3/pvmfkill.3
/usr/man/man3/pvmflvgrp.3
/usr/man/man3/pvmfmcast.3
/usr/man/man3/pvmfmkbuf.3
/usr/man/man3/pvmfmstat.3
/usr/man/man3/pvmfmytid.3
/usr/man/man3/pvmfnotify.3
/usr/man/man3/pvmfnrecv.3
/usr/man/man3/pvmfpack.3
/usr/man/man3/pvmfparent.3
/usr/man/man3/pvmfperror.3
/usr/man/man3/pvmfprecv.3
/usr/man/man3/pvmfprobe.3
/usr/man/man3/pvmfpsend.3
/usr/man/man3/pvmfpstat.3
/usr/man/man3/pvmfrecv.3
/usr/man/man3/pvmfreduce.3
/usr/man/man3/pvmfscatter.3
/usr/man/man3/pvmfsend.3
/usr/man/man3/pvmfsendsig.3
/usr/man/man3/pvmfserror.3
/usr/man/man3/pvmfsetopt.3
/usr/man/man3/pvmfsetrbuf.3
/usr/man/man3/pvmfsetsbuf.3
/usr/man/man3/pvmfspawn.3
/usr/man/man3/pvmfstartpvmd.3
/usr/man/man3/pvmftasks.3
/usr/man/man3/pvmftidtoh.3
/usr/man/man3/pvmftrecv.3
/usr/man/man3/pvmfunpack.3

%ifnarch mips
%ifnarch sparc
%files xpvm
%doc $RPM_SOURCE_DIR/XPVM.ug.ps.Z
/usr/pvm3/xpvm
/usr/bin/xpvm
%endif
%endif

%files examples
/usr/pvm3/examples
/usr/bin/mtile
